aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-setuptools/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 09:40:29 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:32 +0000
commit674754205494ed1166d6eb3cbd898373e4e4ca00 (patch)
treea48707fa1e49afd095577388a9b670ccc67ae2da /main/py-setuptools/APKBUILD
parent4f8d978132798b9e4a6f4a6f1b54cc0edbadd8b1 (diff)
downloadaports-674754205494ed1166d6eb3cbd898373e4e4ca00.tar.gz
aports-674754205494ed1166d6eb3cbd898373e4e4ca00.tar.bz2
aports-674754205494ed1166d6eb3cbd898373e4e4ca00.tar.xz
main/py-setuptools: minor layout changes
Diffstat (limited to 'main/py-setuptools/APKBUILD')
-rw-r--r--main/py-setuptools/APKBUILD15
1 files changed, 9 insertions, 6 deletions
diff --git a/main/py-setuptools/APKBUILD b/main/py-setuptools/APKBUILD
index 6f23307c14..490e15f5c2 100644
--- a/main/py-setuptools/APKBUILD
+++ b/main/py-setuptools/APKBUILD
@@ -4,27 +4,30 @@ pkgname=py-setuptools
_pkgname=${pkgname#py-}
pkgver=0.6c11
pkgrel=3
-pkgdesc="setuptools is a collection of enhancements to the Python distutils"
+pkgdesc="A collection of enhancements to the Python distutils"
url="http://pypi.python.org/pypi/setuptools"
arch="noarch"
license="PSF"
depends="python"
makedepends="python-dev"
-install=
+install=""
subpackages=""
-source="http://pypi.python.org/packages/source/s/$_pkgname/$_pkgname-$pkgver.tar.gz"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
build() {
- cd "$srcdir"/$_pkgname-$pkgver
+ cd "$_builddir"
python setup.py build || return 1
}
package() {
- cd "$srcdir"/$_pkgname-$pkgver
- python setup.py install --root="$pkgdir"
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
# we don't provide a non-suffixed easy_install
echo "Removing non-suffixed easy_install ( $pkgdir/usr/bin/easy_install)"
rm "$pkgdir"/usr/bin/easy_install
}
md5sums="7df2a529a074f613b509fb44feefe74e setuptools-0.6c11.tar.gz"
+sha256sums="630fea9b726320b73ee3ca6ff61732cb32675b0389be658080fe46383b87a1d3 setuptools-0.6c11.tar.gz"
+sha512sums="5eaaa46af97fdf8ebca9b8768a8c6aa65e6c5028df44ccc141310989659f6e92069679ba160ac42eef9751cf89867a58035eac6cf4225a712bd0176fb685786e setuptools-0.6c11.tar.gz"